#
# spec file for package yast2-kerberos-client (Version 2.9.9)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  yast2-devel-packages yast2-pam

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam patch popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-pam yast2-perl-bindings yast2-testsuite suse-macros

Name:         yast2-kerberos-client
Version:      2.9.9
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-kerberos-client-2.9.9.tar.bz2
prefix:		/usr
Requires:     yast2 yast2-pam yast2-packager
BuildArchitectures:	noarch
Summary:      YaST2 - Kerberos Client Configuration

%description
With this YaST2 module, you can configure a Kerberos client so that a
Kerberos server will be used for user authentication.



%prep
%setup -n yast2-kerberos-client-2.9.9

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/clients/kerberos.ycp
/usr/share/YaST2/clients/kerberos-client.ycp
/usr/share/YaST2/clients/kerberos-client_auto.ycp
/usr/share/YaST2/modules/Kerberos.ycp
/usr/share/YaST2/modules/Kerberos.ybc
%{prefix}/share/applications/YaST2/kerberos.desktop
/usr/share/YaST2/scrconf/*.scr
%dir /usr/share/YaST2/include/kerberos-client
/usr/share/YaST2/include/kerberos-client/dialogs.ycp
/usr/share/YaST2/include/kerberos-client/wizards.ycp
%doc %{prefix}/share/doc/packages/yast2-kerberos-client

%changelog -n yast2-kerberos-client
* Mon Mar 12 2007 - pearly.zhao@oracle.com
- Port to RHEL/EL
* Thu Apr 22 2004 - jsuchome@suse.cz
- fix of #39286 (configuration not saved during installation)
- 2.9.9
* Fri Apr 02 2004 - jsuchome@suse.cz
- changed license to GPL
- 2.9.8
* Tue Mar 30 2004 - jsuchome@suse.cz
- adapt to current 'continue' behaviour
- 2.9.7
* Tue Mar 30 2004 - nashif@suse.de
- #37426: Disable NTP Configuration in config mode (autoyast)
* Thu Mar 11 2004 - jsuchome@suse.cz
- set icon for wizard
- testsuite enabled again
- 2.9.6
* Wed Mar 10 2004 - jsuchome@suse.de
- disabled testsuite
- 2.9.5
* Wed Mar 10 2004 - nashif@suse.de
- adapted for new wizard
* Mon Mar 08 2004 - jsuchome@suse.cz
- used Sequencer module
- more type fixes
* Fri Mar 05 2004 - jsuchome@suse.cz
- correct type handling
- removed AFS configuration
- 2.9.4
* Mon Mar 01 2004 - jsuchome@suse.cz
- merged texts from proofread
- 2.9.3
* Wed Feb 18 2004 - jsuchome@suse.cz
- added possibility to call ShortSummary function from auto-client
* Mon Feb 09 2004 - jsuchome@suse.cz
- removed config file (y2cc)
* Fri Jan 30 2004 - jsuchome@suse.cz
- fixed testsuite
- 2.9.2
* Fri Nov 28 2003 - jsuchome@suse.cz
- syntax fixes for new interpreter
- 2.9.1
* Tue Nov 25 2003 - jsuchome@suse.cz
- added possibility to run NTP client (new button in Advanced dialog)
* Tue Nov 18 2003 - jsuchome@suse.cz
- adapted to new Network types interface
* Thu Sep 25 2003 - jsuchome@suse.cz
- changed button label in Advanced dialog: Next to Ok
- 2.9.0
* Thu Sep 11 2003 - jsuchome@suse.cz
- save value of kpasswd_server to /etc/krb5.conf (#30485)
- do not try to read from non-existent /etc/sysconfig/afs-client
* Thu Sep 11 2003 - jsuchome@suse.cz
- there is no Require::IsPackageAvailableTarget function (#30459)
- 2.8.10
* Tue Sep 09 2003 - jsuchome@suse.cz
- do not require KDC and realm entries when Kerberos is not
  enabled (#30323)
* Tue Sep 09 2003 - nashif@suse.de
- #30291: return list of required packages
* Fri Sep 05 2003 - jsuchome@suse.cz
- merged in proofread texts
- check packages correctly in autoyast config mode (#30014)
* Tue Sep 02 2003 - jsuchome@suse.cz
- fixed testsuite
* Tue Sep 02 2003 - jsuchome@suse.cz
- basic command-line interface (new texts)
- ask before restarting/stopping afs-client
- 2.8.8
* Mon Sep 01 2003 - arvin@suse.de
- used Popup::ConfirmAbort
* Fri Aug 29 2003 - jsuchome@suse.de
- updated desktop file
* Mon Aug 25 2003 - jsuchome@suse.cz
- fixed AFS support
- stop/start afs-client
* Fri Aug 22 2003 - jsuchome@suse.cz
- Add variable for required packages and return them in auto client
* Wed Aug 20 2003 - jsuchome@suse.cz
- removed redundant "initialization dialog" (#28779)
- dialogs rearanged ("client enabled" together with basic settings)
- required/optional applications are installed at the end
- added testsuite
- 2.8.6
* Mon Aug 18 2003 - jsuchome@suse.cz
- fixed agent for /etc/ssh/ssh_config ("Host" sections allowed)
* Wed Aug 13 2003 - jsuchome@suse.de
- do not ask for heimdal-tools in autoinst config (#28716)
* Wed Aug 13 2003 - jsuchome@suse.de
- dialogs redesign, new helptext
- 2.8.5
* Mon Aug 11 2003 - arvin@suse.de
- fixed requires
* Mon Aug 11 2003 - jsuchome@suse.de
- updated helptexts
* Mon Aug 11 2003 - jsuchome@suse.de
- proofread texts (1st round)
- pam_krb5, heimdal-libs checked in yast module (removed from spec file)
- 2.8.3
* Wed Aug 06 2003 - jsuchome@suse.de
- new workflow, enabled editing more settings
- AFS support
- new agents for /etc/sysconfig/afs-client, /etc/ssh/ssh_config
- 2.8.2
* Mon Aug 04 2003 - jsuchome@suse.de
- using new option for pam_unix2 (call_modules)
- added .desktop file
* Fri Jul 18 2003 - jsuchome@suse.de
- pam_krb is now set via PamSettings interface, not into /etc/pam.d/*
- 2.8.1
* Thu Jul 10 2003 - jsuchome@suse.de
- ShortSummary
- remove use_first_pass from pam files after disabling (bug #26985)
* Tue Mar 25 2003 - jsuchome@suse.de
- adapted to Require interface
- 2.8.0
* Tue Feb 18 2003 - nashif@suse.de
- replaced functions in auto client: Result -> Export
- 2.7.3
* Thu Feb 06 2003 - jsuchome@suse.de
- merged proofread texts
* Wed Jan 29 2003 - jsuchome@suse.cz
- merged proofread texts
* Fri Jan 24 2003 - jsuchome@suse.cz
- removed helps.ycp and complex.ycp
  (do not include their texts in pot file)
* Fri Jan 17 2003 - jsuchome@suse.de
- fixes: agent added to package, global keys enabled in agent
- added "required" control mode
- heimdal-lib is required package
- 2.7.2
* Mon Jan 06 2003 - jsuchome@suse.de
- splited to two dialogs: pam and klient configuration
- autoinstallation
- 2.7.1
* Tue Dec 17 2002 - jsuchome@suse.de
- proposing values for realm, kdc
- enabled domain setting
* Mon Dec 16 2002 - jsuchome@suse.de
- initial version
- moved from yast2-users module
